import './Progress.styles_1sh0in2.css';
import { styled } from '@linaria/react';

var StyledTopRow = /*#__PURE__*/styled('div')({
  name: "StyledTopRow",
  "class": "sncn6j9",
  propsAsIs: false
});
var StyledMidRow = /*#__PURE__*/styled('div')({
  name: "StyledMidRow",
  "class": "s743ny9",
  propsAsIs: false
});
var StyledTrack = /*#__PURE__*/styled('div')({
  name: "StyledTrack",
  "class": "s1yfeveq",
  propsAsIs: false
});
var _exp = function _exp() {
  return function (_ref) {
    var value = _ref.value;
    return "".concat(value, "%");
  };
};
var StyledProgress = /*#__PURE__*/styled('div')({
  name: "StyledProgress",
  "class": "sznqbmb",
  propsAsIs: false,
  vars: {
    "sznqbmb-0": [/*#__PURE__*/_exp()]
  }
});
var StyledLabelWrapper = /*#__PURE__*/styled('div')({
  name: "StyledLabelWrapper",
  "class": "s1uz7fa4",
  propsAsIs: false
});
var StyledLabel = /*#__PURE__*/styled('span')({
  name: "StyledLabel",
  "class": "sjniasx",
  propsAsIs: false
});
var StyledLabelContent = /*#__PURE__*/styled('div')({
  name: "StyledLabelContent",
  "class": "s1mhif8f",
  propsAsIs: false
});
var StyledValue = /*#__PURE__*/styled('span')({
  name: "StyledValue",
  "class": "s4b0rp1",
  propsAsIs: false
});
var StyledCaption = /*#__PURE__*/styled('span')({
  name: "StyledCaption",
  "class": "s10ncxz7",
  propsAsIs: false
});
var base = "b2huy1d";

export { StyledCaption, StyledLabel, StyledLabelContent, StyledLabelWrapper, StyledMidRow, StyledProgress, StyledTopRow, StyledTrack, StyledValue, base };
